#pragma once

#include "config_common.h"

/* key matrix size */
#define MATRIX_ROWS 11
#define MATRIX_COLS 11

/* Keyboard Matrix Assignments pins */
#define MATRIX_ROW_PINS { F4, F1, F0, F5, F6, F7, D4, D5, D3, D2, D0 }
#define MATRIX_COL_PINS { C7, C6, B4, D7, B3, B2, B0, E6, B1, D1, D6 }

/* DEFAULT:
 * F4, F1, F0, F5, F6, F7, D4, D5, D3, D2, D0
 * C7, C6, B4, D7, B3, B2, B0, E6, B1, D1, D6 */

/* COL2ROW, ROW2COL */
#define DIODE_DIRECTION COL2ROW

/* Debounce reduces chatter (unintended double-presses) - set 0 if debouncing is not needed */
#define DEBOUNCE 0

/* Mechanical locking support. Use KC_LCAP, KC_LNUM or KC_LSCR instead in keymap */
#define LOCKING_SUPPORT_ENABLE
/* Locking resynchronize hack */

#define LOCKING_RESYNC_ENABLE

#define RGB_DI_PIN B7
#define RGBLED_NUM 3
#define RGB_MATRIX_LED_COUNT RGBLED_NUM
#define RGB_DISABLE_WHEN_USB_SUSPENDED // turn off effects when suspendedz
#define RGB_MATRIX_FRAMEBUFFER_EFFECTS
#define RGB_MATRIX_MAXIMUM_BRIGHTNESS 150 // limits maximum brightness of LEDs to 150 out of 255. Higher may cause the controller to crash.


